#ifndef SRC_SAM_TELEMETRY_H_
#define SRC_SAM_TELEMETRY_H_
#include <vector>

#include "sam_alarms.h"

class SAMtelemetry
{
public:

	SAMalarms Alarms;
	std::vector<NodeAnalogInput*> Environment;

	SAMtelemetry(std::vector<char*> *alarm_labels);
	virtual ~SAMtelemetry();
};

#endif /* SRC_SAM_TELEMETRY_H_ */
